InvalidOpenTypeException (Java Platform SE 8 )
Keywords: javax.management.openmbean.InvalidOpenTypeException class
Date: 2016-04-24

compact3
javax.management.openmbean

## Class InvalidOpenTypeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalArgumentException
        - - javax.management.openmbean.InvalidOpenTypeException

- All Implemented Interfaces:
    Serializable

      public class InvalidOpenTypeException
      extends IllegalArgumentException

  This runtime exception is thrown to indicate that the open type of an open data value is not the one expected.
  Since:
    1.5
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvalidOpenTypeException()` An InvalidOpenTypeException with no detail message.
    `InvalidOpenTypeException(String msg)` An InvalidOpenTypeException with a detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidOpenTypeException

          public InvalidOpenTypeException()

      An InvalidOpenTypeException with no detail message.

    - #### InvalidOpenTypeException

          public InvalidOpenTypeException(String msg)

      An InvalidOpenTypeException with a detail message.
      Parameters:
        `msg` - the detail message.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.